=== debian/changelog ===
radiotray-lite (0.3.0-2) stable; urgency=medium

  * fix build error on Debian Bookworm

 -- mistificat0r <0mistificator0@gmail.com>  Sun, 27 Aug 2023 04:39:55 +0300

radiotray-lite (0.3.0-1) stable; urgency=medium

  * fix build error on Debian Bullseye
  * add contrib - debian
  * add contrib - rpm
  * updating radio stations

 -- mistificat0r <0mistificator0@gmail.com>  Fri, 02 Dec 2022 09:17:47 +0000

radiotray-lite (0.2.19-2) stable; urgency=medium

  * Release with @thekvs latest commits f1da589.

 -- mistificat0r <0mistificator0@gmail.com>  Fri, 02 Dec 2022 08:27:21 +0000
